<template>
  <authenticated>
    <div class="grid sm:grid-cols-2 gap-5 bg-white shadow-lg p-5">
      <form-stargic-year :errors="errors" />
      <form-stargic :errors="errors" />
      <form-match
        :stargics="stargics"
        :budget_years="budget_years"
        :errors="errors"
      />
    </div>

    <el-table :data="budget_years" style="width: 100%" class="p-5">
      <el-table-column label="ปีงบประมาณ" min-width="200" prop="year">
      </el-table-column>
      <el-table-column label="ยุทธศาสตร์" min-width="200">
        <template v-slot="scope">
          <ul>
            <li v-for="stargic in scope.row.stargics" :key="stargic.id">
              ยุทธศาสตร์ที่ {{ stargic.number }} : {{ stargic.name }}
            </li>
          </ul>
        </template>
      </el-table-column>
    </el-table>
  </authenticated>
</template>

<script>
import FormMatch from "@/Components/Stargic/FormMatch.vue";
import FormStargic from "@/Components/Stargic/FormStargic.vue";
import FormStargicYear from "@/Components/Stargic/FormStargicYear.vue";
import Authenticated from "@/Layouts/Authenticated.vue";
import { defineComponent } from "vue";

export default defineComponent({
  components: {
    Authenticated,
    FormStargicYear,
    FormStargic,
    FormMatch,
  },
  props: {
    stargics: Array,
    budget_years: Array,
    errors: Object,
  },
});
</script>
